#! /usr/bin/env python

import sys
from qt import *


class SpinBox(QSpinBox):
    def __init__(self, parent, name):
        QSpinBox.__init__(self, parent, name)

    def eventFilter(self, obj, ev):
        retval = 0
        if ev.type() == QEvent.KeyPress:
            k = QKeyEvent(ev)
            key = k.key()
            print "key:", key
            if key == Qt.Key_Up:
                print "stepUp"
                self.stepUp()
                retval = 1
            elif key == Qt.Key_Down:
                print "stepDown"
                self.stepDown()
                retval = 1
            elif key == Qt.Key_Return:
                print "interpretText"
                self.interpretText()
                retval = 1
        return retval


class Form1(QWidget):
    def __init__(self,parent = None,name = None,fl = 0):
        QWidget.__init__(self,parent,name,fl)

        if name == None:
            self.setName("Form1")

        self.resize(124,100)
        self.setCaption(self.trUtf8("Form1"))

        Form1Layout = QGridLayout(self,1,1,11,6,"Form1Layout")

        self.SpinBox1 = QSpinBox(self,"SpinBox1")
        self.SpinBox1.setMaxValue(999999999)

        Form1Layout.addWidget(self.SpinBox1,0,0)

        self.SpinBox2 = SpinBox(self,"SpinBox2")
        self.SpinBox2.setMaxValue(999999999)

        Form1Layout.addWidget(self.SpinBox2,1,0)

        self.PushButton1 = QPushButton(self,"PushButton1")
        self.PushButton1.setText(self.trUtf8("Quit"))

        Form1Layout.addWidget(self.PushButton1,2,0)

        self.connect(self.PushButton1,SIGNAL("clicked()"),self,SLOT("close()"))


if __name__ == "__main__":
    a = QApplication(sys.argv)
    QObject.connect(a,SIGNAL("lastWindowClosed()"),a,SLOT("quit()"))
    w = Form1()
    a.setMainWidget(w)
    w.show()
    a.exec_loop()
